Download it now!
Bug 30556 - [Patch] Convert all virtual functions QueryValue() and PutValue() to return bool instead of a mix of BOOL and sal_Bool
Summary: [Patch] Convert all virtual functions QueryValue() and PutValue() to return b...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-02 00:36 UTC by Norbert Thiebaud
Modified: 2011-01-15 05:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
patch to convert QueryValue() and PutValue() virtual funcitons to bool (936.92 KB, patch)
2010-10-02 00:36 UTC, Norbert Thiebaud
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Norbert Thiebaud 2010-10-02 00:36:08 UTC
Created attachment 39112 [details]
patch to convert QueryValue() and PutValue() virtual funcitons to bool

The patch is very large (almost 1M), because both BOOL and sal_Bool are defined as unsigned char, and of course bool is... a boolean.
The C++ compiler doesn't like a virtual funciton declared as returning a unsigned char and re-implemented returnuing a bool.
So it is an all or nothing operation.

the only way to do that is phase would be:

1/ introduce a new typedef TBOOL as unsigned char
2/ do many small patchs to migrate the BOOL and sal_BOOL impacted by this patch to TBOOL
3/ a patch to change the typedef of TBOOL to bool
4/ another series of patch to change TBOOL to bool
5/ remove the TBOOL typdedef
Comment 1 Michael Meeks 2010-10-04 09:20:53 UTC
committed; thanks ! :-)
Comment 2 sophie 2011-01-15 05:27:01 UTC
Closing - Sophie